Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.thesaurus
Class AbstractThesaurusBuilder

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.thesaurus.AbstractThesaurusBuilder

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, ThesaurusBuilder, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

Direct Known Subclasses:
  LuceneThesaurusBuilder

public abstract class AbstractThesaurusBuilder
extends org.apache.cocoon.xml.AbstractXMLPipe
implements ThesaurusBuilder

Created by IntelliJ IDEA. User: rpandey Date: Jan 31, 2003 Time: 4:54:29 PM To change this template use Options | File Templates.

Field Summary
`protected java.util.ArrayList` | `concepts`
`protected org.apache.avalon.framework.logger.Logger` | `logger` Avalon super.getLog() to write information.

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, lexicalHandler, xmlConsumer`

Constructor Summary
`AbstractThesaurusBuilder()`

Method Summary
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger logger)` Sets the super.getLog() for this object.
`Concept[]` | `getConcepts()`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`recycle, setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### logger

    protected org.apache.avalon.framework.logger.Logger logger

  Avalon super.getLog() to write information.

### concepts

    protected java.util.ArrayList concepts

Constructor Detail

### AbstractThesaurusBuilder

    public AbstractThesaurusBuilder()

Method Detail

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Sets the super.getLog() for this object.

  Setting the super.getLog() ensures proper logging of potential errors. If not set, this class won't be able to log any information. But it will still work.

  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`

### getConcepts

    public Concept[] getConcepts()

  Specified by:
    `getConcepts` in interface `ThesaurusBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.